Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class CertStatus

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.CertStatus

All Implemented Interfaces:
  DEREncodable

    public class CertStatus

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`DERInteger` `getCertReqId()`
`static CertStatus` `getInstance(java.lang.Object o)`
`PKIStatusInfo` `getStatusInfo()`
`DERObject` `toASN1Object()` CertStatus ::= SEQUENCE { certHash OCTET STRING, -- the hash of the certificate, using the same hash algorithm -- as is used to create and verify the certificate signature certReqId INTEGER, -- to match this confirmation with the corresponding req/rep statusInfo PKIStatusInfo OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CertStatus getInstance(java.lang.Object o)

### getCertReqId

    public DERInteger getCertReqId()

### getStatusInfo

    public PKIStatusInfo getStatusInfo()

### toASN1Object

    public DERObject toASN1Object()

       CertStatus ::= SEQUENCE {
                         certHash    OCTET STRING,
                         -- the hash of the certificate, using the same hash algorithm
                         -- as is used to create and verify the certificate signature
                         certReqId   INTEGER,
                         -- to match this confirmation with the corresponding req/rep
                         statusInfo  PKIStatusInfo OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45